﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Xamarin.Forms;

namespace SampleProject
{
    public class App : Application
    {
        public App()
        {
            var tChart1 = new Steema.TeeChart.Chart();

            tChart1.Series.Add(new Steema.TeeChart.Styles.Bar());
            tChart1.Series.Add(new Steema.TeeChart.Styles.Bar());
            tChart1.Series[0].FillSampleValues();
            tChart1.Series[1].FillSampleValues();
            tChart1.Aspect.View3D = false;

            //Additional Custom Axis
           var customAxis = new Steema.TeeChart.Axis();
          customAxis.Automatic = true;

            tChart1.Axes.Custom.Add(customAxis);
            tChart1[0].VertAxis = Steema.TeeChart.Styles.VerticalAxis.Left;
            tChart1[1].CustomVertAxis = customAxis;

            customAxis.AxisPen.Color = Color.Red;
            tChart1.Axes.Left.StartPosition = 0;
            tChart1.Axes.Left.EndPosition = 50;
            customAxis.StartPosition = 51;
            customAxis.EndPosition = 100;




            //On Android, run the test project and try to zoom the chart, it will be broken
            //if the custom axis is removed it will work.
            //debug into source code of TeeChart.PCL.Android.Teechart.cs, line 1159
            //for (int i = 0; i < numAxes; i++)
            //{
            //    Axis a;

            //    a = (i < 4) ? chart.Axes[i] : chart.Axes[i - 4];
            // please check and confirm if it's the cause of the bug? thank you.

            ChartView chartView = new ChartView
            {
                VerticalOptions = LayoutOptions.FillAndExpand,
                HorizontalOptions = LayoutOptions.FillAndExpand,

                WidthRequest = 400,
                HeightRequest = 500
            };

            chartView.Model = tChart1;

            MainPage = new ContentPage
            {
                Content = new StackLayout
                {
                    Children =
          {
            chartView,
          }
                },
            };
        }
    }
}
